[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.HandleAllocated

Checks whether the Handle has been allocated for the canvas.

## Declaration

Source position: graphics.pp line 1166

`public function TCanvas.HandleAllocated: Boolean; virtual;`

## Function result

True when Handle has been assigned.

## Description

The return value is True when Handle contains a non-zero value. 0 (zero) indicates that a Handle has not been assigned or is invalid.